commit:     3166ac860462f7575242561c4447d2e99398bb4d
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 15:16:08 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 15:17:21 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3166ac86

dev-python/cython: Version Bump

Package-Manager: portage-2.2.20
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/cython/Manifest           |  1 +
 dev-python/cython/cython-0.23.ebuild | 62 ++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/cython/Manifest b/dev-python/cython/Manifest
index 1b3ff65..b119ca2 100644
--- a/dev-python/cython/Manifest
+++ b/dev-python/cython/Manifest
@@ -1,2 +1,3 @@
 DIST Cython-0.22.1.tar.gz 1581021 SHA256 
7fff120e65e7b66edb4a42823f5642bad3bc1e5601bf882d66aee50248cf0682 SHA512 
96cfdcaa52b40cc1592e56429eefb3166280a1cecfb67e56b1cd3c4ecf9092bf7a85f340d87345f354f9ccce9e74fcb11b80251e74d10e85781fa371f3f58fef
 WHIRLPOOL 
4de771f49897856a34bb4e5cf83156946e78390fec2c6e5f948e061187428b3dc706ffdfb699b67aa66551c040c65a80eb1a6efa95a9d3194a18ea7b90ccd6f7
 DIST Cython-0.22.tar.gz 1584483 SHA256 
14307e7a69af9a0d0e0024d446af7e51cc0e3e4d0dfb10d36ba837e5e5844015 SHA512 
856220fa579e272ac38dcef091760f527431ff3b98df9af6e68416fcf77d9659ac5abe5c7dee41331f359614637a4ff452033085335ee499830ed126ab584267
 WHIRLPOOL 
d9919e1fe33f7ea02833c485e10667d8470d7c69901b2419c6c4c1d464f9ef2444795e14903cc66b6fee40ec5a4c20308c331ad93fd8818f207d0a21cccf9b2b
+DIST Cython-0.23.tar.gz 1621481 SHA256 
9fd01e8301c24fb3ba0411ad8eb16f5d9f9f8e66b1281fbe7aba2a9bd9d343dc SHA512 
6b4eaa811172f38259e1db951d4888d3dc88eac63bc0c6eba1bd7d572a179bfcea23b218d84ac4a7161e7613fa98bc46c005aab17e9aa48b7e64303db47dac37
 WHIRLPOOL 
47d60b79ac1ac55236cdaf435d046199b8272377bde77ea4e2c8210912188e026aeb563bd1a486fb833e7101aff6016da42c6e4e62e1cc471200d6eac188e4c9

diff --git a/dev-python/cython/cython-0.23.ebuild 
b/dev-python/cython/cython-0.23.ebuild
new file mode 100644
index 0000000..ad80457
--- /dev/null
+++ b/dev-python/cython/cython-0.23.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+inherit distutils-r1 flag-o-matic toolchain-funcs
+
+MY_PN="Cython"
+MY_P="${MY_PN}-${PV/_/}"
+
+DESCRIPTION="A Python to C compiler"
+HOMEPAGE="http://www.cython.org/ http://pypi.python.org/pypi/Cython";
+SRC_URI="http://www.cython.org/release/${MY_P}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="doc examples test"
+
+RDEPEND=""
+# On testing, setuptools invokes an error in running the testsuite cited in a 
number of recent bugs
+# spanning several packages. This bug has been fixed in the recent release of 
version 9.1
+DEPEND="${RDEPEND}
+       >=dev-python/setuptools-9.1[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/numpy[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_PN}-${PV%_*}"
+
+python_compile() {
+       if ! python_is_python3; then
+               local CFLAGS="${CFLAGS}"
+               local CXXFLAGS="${CXXFLAGS}"
+               append-flags -fno-strict-aliasing
+       fi
+
+       # Python gets confused when it is in sys.path before build.
+       local PYTHONPATH=
+       export PYTHONPATH
+
+       distutils-r1_python_compile
+}
+
+python_compile_all() {
+       use doc && unset XDG_CONFIG_HOME && emake -C docs html
+}
+
+python_test() {
+       tc-export CC
+       "${PYTHON}" runtests.py -vv --work-dir "${BUILD_DIR}"/tests \
+               || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       local DOCS=( CHANGES.rst README.txt ToDo.txt USAGE.txt )
+       use doc && local HTML_DOCS=( docs/build/html/. )
+       use examples && local EXAMPLES=( Demos/. )
+       distutils-r1_python_install_all
+}

Reply via email to